阿里云首页 移动开发平台 mPaaS

解决高德定位冲突

mPaaS 内置了高德定位 SDK。如果您的应用因需要在 Google Play 应用市场上线而同时集成高德官方提供的能通过谷歌审核的版本 SDK ,将会遇到高德定位冲突的情况。

注意:10.1.32 基线不支持自行集成定位 SDK,不存在此冲突的。

解决办法

移除 mPaaS 内置的高德 SDK。

操作步骤

  1. 确认 mPaaS 所使用的高德定位 SDK 版本,以便您选取相同或相近的过审版本。

    'com.alipay.android.phone.mobilecommon:AMapSearch:6.1.0_20180330@jar'
    'com.alipay.thirdparty.amap:amap-location:4.7.2.20190927@jar'
  2. 获取 mPaaS 使用的高德定位 SDK 的 group:artifact 信息。

    'com.mpaas.group.amap:amap-build'
  3. 移除 mPaaS 高德定位 SDK。

    • AAR 方式

      configurations {
      all*.exclude group:'com.mpaas.group.amap', module: 'amap-build'
      }
    • mPaaS Inside & 组件化(Portal & Bundle)

      mpaascomponents {
      excludeDependencies = [
         "com.mpaas.group.amap:amap-build"
      ]
      }